# Uses of Interface
net.shibboleth.idp.authn.principal.PrincipalSerializer

Packages that use PrincipalSerializer
Package
Description
net.shibboleth.idp.authn.impl
Implementation of various authentication actions.
net.shibboleth.idp.authn.principal
Classes supporting Java `Principal` usage.
net.shibboleth.idp.authn.principal.impl
Implementation of functionality related to Java Principals.
net.shibboleth.idp.saml.authn.principal.impl
Implementation classes supporting SAML-related Principal objects.

## Uses of PrincipalSerializer in net.shibboleth.idp.authn.impl

Fields in net.shibboleth.idp.authn.impl with type parameters of type PrincipalSerializer
Modifier and Type
Field
Description
`private Collection<PrincipalSerializer<String>>`
DefaultAuthenticationResultSerializer.`principalSerializers`
Principal serializers.

## Uses of PrincipalSerializer in net.shibboleth.idp.authn.principal

Classes in net.shibboleth.idp.authn.principal that implement PrincipalSerializer
Modifier and Type
Class
Description
`class`
`AbstractPrincipalSerializer<Type>`
Base class for `PrincipalSerializer` implementations.
`class`
`GenericPrincipalSerializer`
Principal serializer for arbitrary principal types.
`class`
`SealedPrincipalSerializer<T extends Principal>`
Principal serializer that encrypts/decrypts the data when serializing.
`class`
`SimplePrincipalSerializer<T extends Principal>`
Principal serializer for string-based principals that serialize to a simple JSON structure.
Fields in net.shibboleth.idp.authn.principal declared as PrincipalSerializer
Modifier and Type
Field
Description
`private final PrincipalSerializer<String>`
GenericPrincipalService.`principalSerializer`
Generic principal serializer.
Methods in net.shibboleth.idp.authn.principal that return PrincipalSerializer
Modifier and Type
Method
Description
`PrincipalSerializer<String>`
GenericPrincipalService.`getSerializer()`
Get a serializer instance for this type of `Principal`.
`PrincipalSerializer<String>`
PrincipalService.`getSerializer()`
Get a serializer instance for this type of `Principal`.
Constructors in net.shibboleth.idp.authn.principal with parameters of type PrincipalSerializer
Modifier
Constructor
Description
``
`GenericPrincipalService(Class<T> claz, PrincipalSerializer<String> serializer)`
Constructor.

## Uses of PrincipalSerializer in net.shibboleth.idp.authn.principal.impl

Classes in net.shibboleth.idp.authn.principal.impl that implement PrincipalSerializer
Modifier and Type
Class
Description
`class`
`AuthenticationResultPrincipalSerializer`
Principal serializer for `AuthenticationResultPrincipal`.
`class`
`IdPAttributePrincipalSerializer`
Principal serializer for `IdPAttributePrincipal`.
`class`
`LDAPPrincipalSerializer`
Principal serializer for `LdapPrincipal`.
`class`
`ProxyAuthenticationPrincipalSerializer`
Principal serializer for `ProxyAuthenticationPrincipal`.
`class`
`X500PrincipalSerializer`
Principal serializer for `X500Principal`.

## Uses of PrincipalSerializer in net.shibboleth.idp.saml.authn.principal.impl

Classes in net.shibboleth.idp.saml.authn.principal.impl that implement PrincipalSerializer
Modifier and Type
Class
Description
`class`
`NameIDPrincipalSerializer`
Principal serializer for `NameIDPrincipal`.